openMidEndingEval.cc File Reference
`#include "osl/eval/openMidEndingEval.h"`
`#include "osl/eval/piecePair.h"`
`#include "osl/eval/piecePairKing.h"`
`#include "osl/eval/kingTable.h"`
`#include "osl/eval/majorPiece.h"`
`#include "osl/eval/minorPiece.h"`
`#include "osl/eval/mobility.h"`
`#include "osl/eval/pieceStand.h"`
`#include "osl/eval/pin.h"`
`#include "osl/eval/king8.h"`
`#include "osl/eval/progress.h"`
`#include "osl/random.h"`
`#include "osl/bits/binaryIO.h"`
`#include "osl/bits/pieceStand.h"`
`#include "osl/oslConfig.h"`
`#include <fstream>`

Go to the source code of this file.

## Classes

struct | osl::IntArrayReader

## Namespaces

namespace | osl

## Macros

#define | DEBUGPRINT(x)

## Variables

static std::mutex | initialize_mutex

## Macro Definition Documentation

## DEBUGPRINT

#define DEBUGPRINT | ( |  | x | ) |

Value:
std::cerr << " " << #x << " " << x << "\n"

Definition at line 1277 of file openMidEndingEval.cc.

Referenced by osl::eval::ml::OpenMidEndingEval::debug().

## Variable Documentation

## initialize_mutex

std::mutex initialize_mutex

static

Definition at line 116 of file openMidEndingEval.cc.

Referenced by osl::eval::ml::OpenMidEndingEval::setRandom(), and osl::eval::ml::OpenMidEndingEval::setUp().